JNA API 3.3.0

## com.sun.jna.platform.win32
Class SetupApi.SP_DEVICE_INTERFACE_DATA

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.SetupApi.SP_DEVICE_INTERFACE_DATA

Enclosing interface:
  SetupApi

    public static class SetupApi.SP_DEVICE_INTERFACE_DATA

extends Structure

An SP_DEVICE_INTERFACE_DATA structure defines a device interface in a device information set.

Nested Class Summary
`static class` | `SetupApi.SP_DEVICE_INTERFACE_DATA.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`int` | `cbSize` The size, in bytes, of the SP_DEVICE_INTERFACE_DATA structure.
`int` | `Flags` Can be one or more of the following: SPINT_ACTIVE - The interface is active (enabled).
`Guid.GUID` | `InterfaceClassGuid` The GUID for the class to which the device interface belongs.
`Pointer` | `Reserved` Reserved.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`SetupApi.SP_DEVICE_INTERFACE_DATA()`
`SetupApi.SP_DEVICE_INTERFACE_DATA(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cbSize

    public int cbSize

  The size, in bytes, of the SP_DEVICE_INTERFACE_DATA structure.

### InterfaceClassGuid

    public Guid.GUID InterfaceClassGuid

  The GUID for the class to which the device interface belongs.

### Flags

    public int Flags

  Can be one or more of the following: SPINT_ACTIVE - The interface is active (enabled). SPINT_DEFAULT - The interface is the default interface for the device class. SPINT_REMOVED - The interface is removed.

### Reserved

    public Pointer Reserved

  Reserved. Do not use.

Constructor Detail

### SetupApi.SP_DEVICE_INTERFACE_DATA

    public SetupApi.SP_DEVICE_INTERFACE_DATA()

### SetupApi.SP_DEVICE_INTERFACE_DATA

    public SetupApi.SP_DEVICE_INTERFACE_DATA(Pointer memory)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.